# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
#define gitrev 342e334c

Name:           openni-primesense
Version:        5.0.3.3
Release:        alt1_6%{?gitrev}
Summary:        PrimeSensor/Kinect Modules for OpenNI
Group:          System/Libraries
License:        LGPLv3+
URL:            https://github.com/PrimeSense/Sensor
# No official releases, yet. To reproduce tarball (adapt version and gitrev):
# git clone https://github.com/PrimeSense/Sensor.git
# cd Sensor
# git archive --format tar --prefix=openni-primesensor-5.0.3.3/ Stable-5.0.3.3 | tar -xC..
# cd ..
# rm -rf openni-primesensor-5.0.3.3/Platform/Win32
# tar cvfz openni-primesensor-5.0.3.3.tar.gz openni-primesensor-5.0.3.3
Source0:        openni-primesense-%{version}.tar.gz
Source1:        openni-primesense-55-primesense-usb.rules
Patch0:         openni-primesense-5.0.3.3-fedora.patch
Patch1:         openni-primesense-5.0.3.3-willowgarage.patch
Patch2:         openni-primesense-5.0.3.3-disable-sse.patch
ExclusiveArch:  %{ix86} x86_64 

BuildRequires:  openni-devel >= 1.3.2.1
BuildRequires:  dos2unix
BuildRequires:  libjpeg-devel
Requires:       openni >= 1.3.2.1
Requires:       udev
Source44: import.info

%description
This modules enables OpenNI to make use of the PrimeSense, also known as
Kinect depth camera.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fedora
%patch1 -p1 -b .willow
%patch2 -p1 -b .disable-sse

dos2unix LGPL.txt
rm -rf Source/External/LibJPEG


%build
cd Platform/Linux-x86/CreateRedist
# Add SSE_GENERATION=2 (or 3) to enable SSE
sed -i 's|make PLATFORM=$PLATFORM -C ../Build|make PLATFORM=$PLATFORM -C ../Build CFLAGS_EXT="%{optflags} -Wno-unknown-pragmas" DEBUG=1|' RedistMaker
./RedistMaker


%install
pushd Platform/Linux-x86/Redist
INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir} \
INSTALL_ETC=$RPM_BUILD_ROOT%{_sysconfdir}/openni/primesense \
SERVER_LOGS_DIR=$RPM_BUILD_ROOT%{_var}/log/primesense \
INSTALL_RULES=$RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d \
./install.sh -n
popd

rm -rf $RPM_BUILD_ROOT%{_var}/log/primesense

rm $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/55-primesense-usb.rules
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/55-primesense-usb.rules


%post
if [ $1 == 1 ]; then
  niReg -r %{_libdir}/libXnDeviceSensorV2.so
  niReg -r %{_libdir}/libXnDeviceFile.so
fi


%preun
if [ $1 == 0 ]; then
  niReg -u %{_libdir}/libXnDeviceSensorV2.so
  niReg -u %{_libdir}/libXnDeviceFile.so
fi


%files
%doc LGPL.txt
%dir %{_sysconfdir}/openni/primesense
%config(noreplace) %{_sysconfdir}/openni/primesense/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/55-primesense-usb.rules
%{_libdir}/*.so
%{_bindir}/XnSensorServer

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 5.0.3.3-alt1_6
- initial fc import

